#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	DVD menu support library
Summary(pl.UTF-8):	Biblioteka obsługi menu DVD
Name:		libdvdnav
Version:	4.2.1
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.xz
# Source0-md5:	38ae618346db3b2aab154571f1cbaf84
Patch0:		%{name}-opt.patch
Patch1:		%{name}-includes_path.patch
Patch2:		link.patch
URL:		http://dvdnav.mplayerhq.hu/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libdvdread-devel >= 4.1.3
BuildRequires:	libtool >= 1.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVD menu support library.

%description -l pl.UTF-8
Biblioteka obsługi menu DVD.

%package devel
Summary:	Development files for libdvdnav
Summary(pl.UTF-8):	Pliki potrzebne przy tworzeniu aplikacji korzystających z libdvdnav
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdvdread-devel >= 4.1.3

%description devel
Development files for libdvdnav.

%description devel -l pl.UTF-8
Pliki potrzebne przy tworzeniu aplikacji korzystających z libdvdnav.

%package static
Summary:	Static libdvdnav library
Summary(pl.UTF-8):	Biblioteka statyczna libdvdnav
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdvdnav library.

%description static -l pl.UTF-8
Biblioteka statyczna libdvdnav.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DEVELOPMENT-POLICY.txt README TODO
%attr(755,root,root) %{_libdir}/libdvdnav.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdnav.so.4
%attr(755,root,root) %{_libdir}/libdvdnavmini.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdnavmini.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/{dvd_structures,library_layout}
%attr(755,root,root) %{_bindir}/dvdnav-config
%attr(755,root,root) %{_libdir}/libdvdnav.so
%attr(755,root,root) %{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.la
%{_libdir}/libdvdnavmini.la
%{_includedir}/dvdnav
%{_pkgconfigdir}/dvdnav.pc
%{_pkgconfigdir}/dvdnavmini.pc
%{_aclocaldir}/dvdnav.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdvdnav.a
%attr(755,root,root) %{_libdir}/libdvdnavmini.a
%endif
%changelog
* Thu Nov 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdvdnav.git;a=log;h=master

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 9422571
- updated to 4.2.1

* Fri Mar 16 2012 Jakub Bogusz <qboosh@pld-linux.org> e799fe4
- more specific URL

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> ebdb5e7
- added link.patch
- rel. 1

* Fri Mar 16 2012 Szymon Siwek <sls@pld-linux.org> a6b58d9
- ver. 4.2.0 (NFY)

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> 9ac0989
- release 2

* Mon Oct 27 2008 Karol Krenski <charles@pld-linux.org> 8026abb
- fix includes path

* Mon Oct 27 2008 Karol Krenski <charles@pld-linux.org> 3570bc3
- added -includes_path.patch

* Wed Oct 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 735d4ec
- cleanup
- more verbose files
- revised docs
- ac/am/lt version
- GPL version

* Sun Oct 12 2008 Łukasz Krotowski <lkrotowski@pld-linux.org> b878368
- up to 4.1.3
- moved to mplayerhq version (actively maintained)

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 222742e
- rel 2

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 39d4ae2
- added missing #

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 02b7366
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b75cc5f
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 722b7f2
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> afda020
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> cdf3d64
- added bcond_without static_libs

* Sun Jun 20 2004 grzegol <grzegol@pld-linux.org> b169643
- updated for libdvdnav-0.1.10

* Sun Jun 20 2004 grzegol <grzegol@pld-linux.org> f35189e
- updated to 0.1.10
- strict internal deps

* Tue Nov 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 995f5ce
- release 2

* Wed Oct 15 2003 Jakub Bogusz <qboosh@pld-linux.org> 7639cee
- added opt patch

